diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index 3c0032ff50ea02d8c4b1756cf019f0ee3fab1690..e33d43f524283465618cdffc7fbc41a2753dcf1c 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -3295,16 +3295,16 @@ class ConfigClient:
 
     def __init__(self, deployer):
         self.deployer = deployer
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         # set useful 'boolean' object variables for this class
-        self.clone = config.str2bool(self.master_dict['pki_clone'])
-        self.external = config.str2bool(self.master_dict['pki_external'])
+        self.clone = config.str2bool(self.mdict['pki_clone'])
+        self.external = config.str2bool(self.mdict['pki_external'])
         self.external_step_two = config.str2bool(
-                                     self.master_dict['pki_external_step_two'])
-        self.standalone = config.str2bool(self.master_dict['pki_standalone'])
-        self.subordinate = config.str2bool(self.master_dict['pki_subordinate'])
+                                     self.mdict['pki_external_step_two'])
+        self.standalone = config.str2bool(self.mdict['pki_standalone'])
+        self.subordinate = config.str2bool(self.mdict['pki_subordinate'])
         # set useful 'string' object variables for this class
-        self.subsystem = self.master_dict['pki_subsystem']
+        self.subsystem = self.mdict['pki_subsystem']
 
     def configure_pki_data(self, data):
         config.pki_log.info(log.PKI_CONFIG_CONFIGURING_PKI_DATA,
@@ -3312,9 +3312,9 @@ class ConfigClient:
 
         connection = pki.client.PKIConnection(
             protocol='https',
-            hostname=self.master_dict['pki_hostname'],
-            port=self.master_dict['pki_https_port'],
-            subsystem=self.master_dict['pki_subsystem_type'])
+            hostname=self.mdict['pki_hostname'],
+            port=self.mdict['pki_https_port'],
+            subsystem=self.mdict['pki_subsystem_type'])
 
         try:
             client = pki.system.SystemConfigClient(connection)
@@ -3342,7 +3342,7 @@ class ConfigClient:
                         # Save 'External CA Signing Certificate' CSR (Step 1)
                         self.save_system_csr(cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE,
-                            self.master_dict['pki_external_csr_path'])
+                            self.mdict['pki_external_csr_path'])
                         return
                 elif self.standalone and not self.external_step_two:
                     # Stand-alone PKI (Step 1)
@@ -3351,40 +3351,40 @@ class ConfigClient:
                         # (Step 1)
                         self.save_system_csr(cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_AUDIT_SIGNING_1,
-                            self.master_dict['pki_external_audit_signing_csr_path'],
+                            self.mdict['pki_external_audit_signing_csr_path'],
                             self.subsystem)
                     elif cdata['tag'].lower() == "signing":
                         # Save Stand-alone PKI OCSP 'OCSP Signing Certificate'
                         # CSR (Step 1)
                         self.save_system_csr(cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_OCSP_SIGNING,
-                            self.master_dict['pki_external_signing_csr_path'])
+                            self.mdict['pki_external_signing_csr_path'])
                     elif cdata['tag'].lower() == "sslserver":
                         # Save Stand-alone PKI 'SSL Server Certificate' CSR
                         # (Step 1)
                         self.save_system_csr(cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_SSLSERVER_1,
-                            self.master_dict['pki_external_sslserver_csr_path'],
+                            self.mdict['pki_external_sslserver_csr_path'],
                             self.subsystem)
                     elif cdata['tag'].lower() == "storage":
                         # Save Stand-alone PKI KRA 'Storage Certificate' CSR
                         # (Step 1)
                         self.save_system_csr(cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_KRA_STORAGE,
-                            self.master_dict['pki_external_storage_csr_path'])
+                            self.mdict['pki_external_storage_csr_path'])
                     elif cdata['tag'].lower() == "subsystem":
                         # Save Stand-alone PKI 'Subsystem Certificate' CSR
                         # (Step 1)
                         self.save_system_csr(cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_SUBSYSTEM_1,
-                            self.master_dict['pki_external_subsystem_csr_path'],
+                            self.mdict['pki_external_subsystem_csr_path'],
                             self.subsystem)
                     elif cdata['tag'].lower() == "transport":
                         # Save Stand-alone PKI KRA 'Transport Certificate' CSR
                         # (Step 1)
                         self.save_system_csr(cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_KRA_TRANSPORT,
-                            self.master_dict['pki_external_transport_csr_path'])
+                            self.mdict['pki_external_transport_csr_path'])
                 else:
                     config.pki_log.debug(log.PKI_CONFIG_CDATA_TAG + \
                                            " " + cdata['tag'],
@@ -3407,7 +3407,7 @@ class ConfigClient:
                     else:
                         admin_cert = response['adminCert']['cert']
                         self.process_admin_cert(admin_cert)
-                elif not config.str2bool(self.master_dict['pki_import_admin_cert']):
+                elif not config.str2bool(self.mdict['pki_import_admin_cert']):
                     admin_cert = response['adminCert']['cert']
                     self.process_admin_cert(admin_cert)
 
@@ -3432,11 +3432,11 @@ class ConfigClient:
                              extra=config.PKI_INDENTATION_LEVEL_2)
 
         # Store the Administration Certificate in a file
-        admin_cert_file = self.master_dict['pki_client_admin_cert']
+        admin_cert_file = self.mdict['pki_client_admin_cert']
         admin_cert_bin_file = admin_cert_file + ".der"
         self.save_admin_cert(log.PKI_CONFIG_ADMIN_CERT_SAVE_1,
                              admin_cert, admin_cert_file,
-                             self.master_dict['pki_subsystem_name'])
+                             self.mdict['pki_subsystem_name'])
 
         # convert the cert file to binary
         command = ["AtoB", admin_cert_file, admin_cert_bin_file]
@@ -3458,28 +3458,28 @@ class ConfigClient:
         # Import the Administration Certificate
         # into the client NSS security database
         self.deployer.certutil.import_cert(
-            re.sub("&#39;", "'", self.master_dict['pki_admin_nickname']),
+            re.sub("&#39;", "'", self.mdict['pki_admin_nickname']),
             "u,u,u",
             admin_cert_bin_file,
-            self.master_dict['pki_client_password_conf'],
-            self.master_dict['pki_client_database_dir'],
+            self.mdict['pki_client_password_conf'],
+            self.mdict['pki_client_database_dir'],
             None,
             True)
 
         # create directory for p12 file if it does not exist
         self.deployer.directory.create(os.path.dirname(
-            self.master_dict['pki_client_admin_cert_p12']))
+            self.mdict['pki_client_admin_cert_p12']))
 
         # Export the Administration Certificate from the
         # client NSS security database into a PKCS #12 file
         self.deployer.pk12util.create_file(
-            self.master_dict['pki_client_admin_cert_p12'],
-            re.sub("&#39;", "'", self.master_dict['pki_admin_nickname']),
-            self.master_dict['pki_client_pkcs12_password_conf'],
-            self.master_dict['pki_client_password_conf'],
-            self.master_dict['pki_client_database_dir'])
+            self.mdict['pki_client_admin_cert_p12'],
+            re.sub("&#39;", "'", self.mdict['pki_admin_nickname']),
+            self.mdict['pki_client_pkcs12_password_conf'],
+            self.mdict['pki_client_password_conf'],
+            self.mdict['pki_client_database_dir'])
 
-        os.chmod(self.master_dict['pki_client_admin_cert_p12'],
+        os.chmod(self.mdict['pki_client_admin_cert_p12'],
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
 
 
@@ -3490,13 +3490,13 @@ class ConfigClient:
         data = pki.system.ConfigurationRequest()
 
         # Miscellaneous Configuration Information
-        data.pin = self.master_dict['pki_one_time_pin']
-        data.subsystemName = self.master_dict['pki_subsystem_name']
+        data.pin = self.mdict['pki_one_time_pin']
+        data.subsystemName = self.mdict['pki_subsystem_name']
         data.standAlone = self.standalone
         data.stepTwo = self.external_step_two
 
         # Cloning parameters
-        if self.master_dict['pki_instance_type'] == "Tomcat":
+        if self.mdict['pki_instance_type'] == "Tomcat":
             if self.clone:
                 self.set_cloning_parameters(data)
             else:
@@ -3521,7 +3521,7 @@ class ConfigClient:
             self.set_database_parameters(data)
 
         # backup
-        if self.master_dict['pki_instance_type'] == "Tomcat":
+        if self.mdict['pki_instance_type'] == "Tomcat":
             self.set_backup_parameters(data)
 
         # admin user
@@ -3544,23 +3544,23 @@ class ConfigClient:
         config.pki_log.info(
             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_ADMIN_1 + \
             " '" + \
-            self.master_dict['pki_external_admin_csr_path'] + \
+            self.mdict['pki_external_admin_csr_path'] + \
             "'", self.subsystem,
             extra=config.PKI_INDENTATION_LEVEL_2)
         self.deployer.directory.create(
-            os.path.dirname(self.master_dict['pki_external_admin_csr_path']))
-        with open(self.master_dict['pki_external_admin_csr_path'], "w") as f:
+            os.path.dirname(self.mdict['pki_external_admin_csr_path']))
+        with open(self.mdict['pki_external_admin_csr_path'], "w") as f:
             f.write("-----BEGIN CERTIFICATE REQUEST-----\n")
         admin_certreq = None
         with open(os.path.join(
-                  self.master_dict['pki_client_database_dir'],
+                  self.mdict['pki_client_database_dir'],
                   "admin_pkcs10.bin.asc"), "r") as f:
             admin_certreq = f.read()
-        with open(self.master_dict['pki_external_admin_csr_path'], "a") as f:
+        with open(self.mdict['pki_external_admin_csr_path'], "a") as f:
             f.write(admin_certreq)
             f.write("-----END CERTIFICATE REQUEST-----")
         # Read in and print Admin certificate request
-        with open(self.master_dict['pki_external_admin_csr_path'], "r") as f:
+        with open(self.mdict['pki_external_admin_csr_path'], "r") as f:
             admin_certreq = f.read()
         config.pki_log.info(log.PKI_CONFIG_CDATA_REQUEST + \
             "\n" + admin_certreq,
@@ -3612,23 +3612,23 @@ class ConfigClient:
                     # PKI CA, Subordinate CA, or External CA
                     cert1 = self.create_system_cert("ca_signing")
                     cert1.signingAlgorithm = \
-                        self.master_dict['pki_ca_signing_signing_algorithm']
+                        self.mdict['pki_ca_signing_signing_algorithm']
                 if self.external_step_two:
                     # External CA (Step 2) or Stand-alone PKI (Step 2)
                     if not self.subsystem == "CA":
                         # Stand-alone PKI (Step 2)
                         cert1 = pki.system.SystemCertData()
-                        cert1.tag = self.master_dict['pki_ca_signing_tag']
+                        cert1.tag = self.mdict['pki_ca_signing_tag']
                     # Load the External CA or Stand-alone PKI
                     # 'External CA Signing Certificate' (Step 2)
                     self.load_system_cert(cert1,
                         log.PKI_CONFIG_EXTERNAL_CA_LOAD,
-                        self.master_dict['pki_external_ca_cert_path'])
+                        self.mdict['pki_external_ca_cert_path'])
                     # Load the External CA or Stand-alone PKI
                     # 'External CA Signing Certificate Chain' (Step 2)
                     self.load_system_cert_chain(cert1,
                         log.PKI_CONFIG_EXTERNAL_CA_CHAIN_LOAD,
-                        self.master_dict['pki_external_ca_cert_chain_path'])
+                        self.mdict['pki_external_ca_cert_chain_path'])
                     systemCerts.append(cert1)
                 elif self.subsystem == "CA":
                     # PKI CA or Subordinate CA
@@ -3645,15 +3645,15 @@ class ConfigClient:
                 # (Step 2)
                 self.load_system_cert(cert2,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_OCSP_SIGNING,
-                    self.master_dict['pki_external_signing_cert_path'])
+                    self.mdict['pki_external_signing_cert_path'])
                 cert2.signingAlgorithm = \
-                    self.master_dict['pki_ocsp_signing_signing_algorithm']
+                    self.mdict['pki_ocsp_signing_signing_algorithm']
                 systemCerts.append(cert2)
             elif self.subsystem == "CA" or self.subsystem == "OCSP":
                 # External CA, Subordinate CA, PKI CA, or PKI OCSP
                 cert2 = self.create_system_cert("ocsp_signing")
                 cert2.signingAlgorithm = \
-                    self.master_dict['pki_ocsp_signing_signing_algorithm']
+                    self.mdict['pki_ocsp_signing_signing_algorithm']
                 systemCerts.append(cert2)
 
         # Create 'SSL Server Certificate'
@@ -3667,14 +3667,14 @@ class ConfigClient:
             # Load the Stand-alone PKI 'SSL Server Certificate' (Step 2)
             self.load_system_cert(cert3,
                 log.PKI_CONFIG_EXTERNAL_CERT_LOAD_PKI_SSLSERVER_1,
-                self.master_dict['pki_external_sslserver_cert_path'],
+                self.mdict['pki_external_sslserver_cert_path'],
                 self.subsystem)
             systemCerts.append(cert3)
         elif len(system_list) >= 2:
             # Existing PKI Instance
             data.generateServerCert = "false"
             for subsystem in system_list:
-                dst = self.master_dict['pki_instance_path'] + '/conf/' + \
+                dst = self.mdict['pki_instance_path'] + '/conf/' + \
                     subsystem.lower() + '/CS.cfg'
                 if subsystem != self.subsystem and os.path.exists(dst):
                     cert3 = self.retrieve_existing_server_cert(dst)
@@ -3696,14 +3696,14 @@ class ConfigClient:
                 # Load the Stand-alone PKI 'Subsystem Certificate' (Step 2)
                 self.load_system_cert(cert4,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_PKI_SUBSYSTEM_1,
-                    self.master_dict['pki_external_subsystem_cert_path'],
+                    self.mdict['pki_external_subsystem_cert_path'],
                     self.subsystem)
                 systemCerts.append(cert4)
             elif len(system_list) >= 2:
                 # Existing PKI Instance
                 data.generateSubsystemCert = "false"
                 for subsystem in system_list:
-                    dst = self.master_dict['pki_instance_path'] + '/conf/' + \
+                    dst = self.mdict['pki_instance_path'] + '/conf/' + \
                         subsystem.lower() + '/CS.cfg'
                     if subsystem != self.subsystem and os.path.exists(dst):
                         cert4 = self.retrieve_existing_subsystem_cert(dst)
@@ -3724,15 +3724,15 @@ class ConfigClient:
                 # Load the Stand-alone PKI 'Audit Signing Certificate' (Step 2)
                 self.load_system_cert(cert5,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_PKI_AUDIT_SIGNING_1,
-                    self.master_dict['pki_external_audit_signing_cert_path'],
+                    self.mdict['pki_external_audit_signing_cert_path'],
                     self.subsystem)
                 cert5.signingAlgorithm = \
-                    self.master_dict['pki_audit_signing_signing_algorithm']
+                    self.mdict['pki_audit_signing_signing_algorithm']
                 systemCerts.append(cert5)
             elif self.subsystem != "RA":
                 cert5 = self.create_system_cert("audit_signing")
                 cert5.signingAlgorithm = \
-                    self.master_dict['pki_audit_signing_signing_algorithm']
+                    self.mdict['pki_audit_signing_signing_algorithm']
                 systemCerts.append(cert5)
 
         # Create 'DRM Transport Certificate' and 'DRM Storage Certificate'
@@ -3745,14 +3745,14 @@ class ConfigClient:
                 # Load the Stand-alone PKI KRA 'Transport Certificate' (Step 2)
                 self.load_system_cert(cert6,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_KRA_TRANSPORT,
-                    self.master_dict['pki_external_transport_cert_path'])
+                    self.mdict['pki_external_transport_cert_path'])
                 systemCerts.append(cert6)
                 # Stand-alone PKI KRA Storage Certificate (Step 2)
                 cert7 = self.create_system_cert("storage")
                 # Load the Stand-alone PKI KRA 'Storage Certificate' (Step 2)
                 self.load_system_cert(cert7,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_KRA_STORAGE,
-                    self.master_dict['pki_external_storage_cert_path'])
+                    self.mdict['pki_external_storage_cert_path'])
                 systemCerts.append(cert7)
             elif self.subsystem == "KRA":
                 # PKI KRA Transport Certificate
@@ -3766,18 +3766,18 @@ class ConfigClient:
 
     def set_cloning_parameters(self, data):
         data.isClone = "true"
-        data.cloneUri = self.master_dict['pki_clone_uri']
-        data.p12File = self.master_dict['pki_clone_pkcs12_path']
-        data.p12Password = self.master_dict['pki_clone_pkcs12_password']
-        data.replicateSchema = self.master_dict['pki_clone_replicate_schema']
+        data.cloneUri = self.mdict['pki_clone_uri']
+        data.p12File = self.mdict['pki_clone_pkcs12_path']
+        data.p12Password = self.mdict['pki_clone_pkcs12_password']
+        data.replicateSchema = self.mdict['pki_clone_replicate_schema']
         data.replicationSecurity = \
-            self.master_dict['pki_clone_replication_security']
-        if self.master_dict['pki_clone_replication_master_port']:
+            self.mdict['pki_clone_replication_security']
+        if self.mdict['pki_clone_replication_master_port']:
             data.masterReplicationPort = \
-                self.master_dict['pki_clone_replication_master_port']
-        if self.master_dict['pki_clone_replication_clone_port']:
+                self.mdict['pki_clone_replication_master_port']
+        if self.mdict['pki_clone_replication_clone_port']:
             data.cloneReplicationPort = \
-                self.master_dict['pki_clone_replication_clone_port']
+                self.mdict['pki_clone_replication_clone_port']
 
     def set_hierarchy_parameters(self, data):
         if self.subsystem == "CA":
@@ -3796,60 +3796,60 @@ class ConfigClient:
 
     def set_existing_security_domain(self, data):
         data.securityDomainType = "existingdomain"
-        data.securityDomainUri = self.master_dict['pki_security_domain_uri']
-        data.securityDomainUser = self.master_dict['pki_security_domain_user']
-        data.securityDomainPassword = self.master_dict['pki_security_domain_password']
+        data.securityDomainUri = self.mdict['pki_security_domain_uri']
+        data.securityDomainUser = self.mdict['pki_security_domain_user']
+        data.securityDomainPassword = self.mdict['pki_security_domain_password']
 
     def set_new_security_domain(self, data):
         data.securityDomainType = "newdomain"
-        data.securityDomainName = self.master_dict['pki_security_domain_name']
+        data.securityDomainName = self.mdict['pki_security_domain_name']
 
     def set_database_parameters(self, data):
-        data.dsHost = self.master_dict['pki_ds_hostname']
-        data.dsPort = self.master_dict['pki_ds_ldap_port']
-        data.baseDN = self.master_dict['pki_ds_base_dn']
-        data.bindDN = self.master_dict['pki_ds_bind_dn']
-        data.database = self.master_dict['pki_ds_database']
-        data.bindpwd = self.master_dict['pki_ds_password']
-        if config.str2bool(self.master_dict['pki_ds_remove_data']):
+        data.dsHost = self.mdict['pki_ds_hostname']
+        data.dsPort = self.mdict['pki_ds_ldap_port']
+        data.baseDN = self.mdict['pki_ds_base_dn']
+        data.bindDN = self.mdict['pki_ds_bind_dn']
+        data.database = self.mdict['pki_ds_database']
+        data.bindpwd = self.mdict['pki_ds_password']
+        if config.str2bool(self.mdict['pki_ds_remove_data']):
             data.removeData = "true"
         else:
             data.removeData = "false"
-        if config.str2bool(self.master_dict['pki_ds_secure_connection']):
+        if config.str2bool(self.mdict['pki_ds_secure_connection']):
             data.secureConn = "true"
         else:
             data.secureConn = "false"
-        if config.str2bool(self.master_dict['pki_share_db']):
+        if config.str2bool(self.mdict['pki_share_db']):
             data.sharedDB = "true"
-            data.sharedDBUserDN = self.master_dict['pki_share_dbuser_dn']
+            data.sharedDBUserDN = self.mdict['pki_share_dbuser_dn']
         else:
             data.sharedDB = "false"
 
     def set_backup_parameters(self, data):
-        if config.str2bool(self.master_dict['pki_backup_keys']):
+        if config.str2bool(self.mdict['pki_backup_keys']):
             data.backupKeys = "true"
-            data.backupFile = self.master_dict['pki_backup_keys_p12']
-            data.backupPassword = self.master_dict['pki_backup_password']
+            data.backupFile = self.mdict['pki_backup_keys_p12']
+            data.backupPassword = self.mdict['pki_backup_password']
         else:
             data.backupKeys = "false"
 
     def set_admin_parameters(self, data):
-        data.adminEmail = self.master_dict['pki_admin_email']
-        data.adminName = self.master_dict['pki_admin_name']
-        data.adminPassword = self.master_dict['pki_admin_password']
-        data.adminProfileID = self.master_dict['pki_admin_profile_id']
-        data.adminUID = self.master_dict['pki_admin_uid']
-        data.adminSubjectDN = self.master_dict['pki_admin_subject_dn']
+        data.adminEmail = self.mdict['pki_admin_email']
+        data.adminName = self.mdict['pki_admin_name']
+        data.adminPassword = self.mdict['pki_admin_password']
+        data.adminProfileID = self.mdict['pki_admin_profile_id']
+        data.adminUID = self.mdict['pki_admin_uid']
+        data.adminSubjectDN = self.mdict['pki_admin_subject_dn']
         if self.standalone:
             if not self.external_step_two:
                 # IMPORTANT:  ALWAYS set 'pki_import_admin_cert' FALSE for
                 #             Stand-alone PKI (Step 1)
-                self.master_dict['pki_import_admin_cert'] = "False"
+                self.mdict['pki_import_admin_cert'] = "False"
             else:
                 # IMPORTANT:  ALWAYS set 'pki_import_admin_cert' TRUE for
                 #             Stand-alone PKI (Step 2)
-                self.master_dict['pki_import_admin_cert'] = "True"
-        if config.str2bool(self.master_dict['pki_import_admin_cert']):
+                self.mdict['pki_import_admin_cert'] = "True"
+        if config.str2bool(self.mdict['pki_import_admin_cert']):
             data.importAdminCert = "true"
             if self.standalone:
                 # Stand-alone PKI (Step 2)
@@ -3859,7 +3859,7 @@ class ConfigClient:
                 # 'ca_admin.cert' under the specified 'pki_client_dir'
                 # stripping the certificate HEADER/FOOTER prior to saving it.
                 imported_admin_cert = ""
-                with open(self.master_dict['pki_external_admin_cert_path'], "r") as f:
+                with open(self.mdict['pki_external_admin_cert_path'], "r") as f:
                     for line in f:
                         if line.startswith("-----BEGIN CERTIFICATE-----"):
                             continue
@@ -3867,34 +3867,34 @@ class ConfigClient:
                             continue
                         else:
                             imported_admin_cert = imported_admin_cert + line
-                with open(self.master_dict['pki_admin_cert_file'], "w") as f:
+                with open(self.mdict['pki_admin_cert_file'], "w") as f:
                     f.write(imported_admin_cert)
             # read config from file
-            with open(self.master_dict['pki_admin_cert_file'], "r") as f:
+            with open(self.mdict['pki_admin_cert_file'], "r") as f:
                 b64 = f.read().replace('\n', '')
             data.adminCert = b64
         else:
             data.importAdminCert = "false"
-            data.adminSubjectDN = self.master_dict['pki_admin_subject_dn']
-            if self.master_dict['pki_admin_cert_request_type'] == "pkcs10":
+            data.adminSubjectDN = self.mdict['pki_admin_subject_dn']
+            if self.mdict['pki_admin_cert_request_type'] == "pkcs10":
                 data.adminCertRequestType = "pkcs10"
 
                 noise_file = os.path.join(
-                    self.master_dict['pki_client_database_dir'], "noise")
+                    self.mdict['pki_client_database_dir'], "noise")
 
                 output_file = os.path.join(
-                    self.master_dict['pki_client_database_dir'], "admin_pkcs10.bin")
+                    self.mdict['pki_client_database_dir'], "admin_pkcs10.bin")
 
                 self.deployer.file.generate_noise_file(
-                    noise_file, int(self.master_dict['pki_admin_keysize']))
+                    noise_file, int(self.mdict['pki_admin_keysize']))
 
                 self.deployer.certutil.generate_certificate_request(
-                                     self.master_dict['pki_admin_subject_dn'],
-                                     self.master_dict['pki_admin_keysize'],
-                                     self.master_dict['pki_client_password_conf'],
+                                     self.mdict['pki_admin_subject_dn'],
+                                     self.mdict['pki_admin_keysize'],
+                                     self.mdict['pki_client_password_conf'],
                                      noise_file,
                                      output_file,
-                                     self.master_dict['pki_client_database_dir'],
+                                     self.mdict['pki_client_database_dir'],
                                      None, None, True)
 
                 # convert output to ascii
@@ -3916,7 +3916,7 @@ class ConfigClient:
                     self.save_admin_csr()
                     # IMPORTANT:  ALWAYS save the client database for
                     #             Stand-alone PKI (Step 1)
-                    self.master_dict['pki_client_database_purge'] = "False"
+                    self.mdict['pki_client_database_purge'] = "False"
 
                 with open(output_file + ".asc", "r") as f:
                     b64 = f.read().replace('\n', '')
@@ -3934,43 +3934,43 @@ class ConfigClient:
             # PKI KRA, PKI OCSP, PKI RA, PKI TKS, PKI TPS,
             # CA Clone, KRA Clone, OCSP Clone, TKS Clone, TPS Clone,
             # Subordinate CA, External CA, or Stand-alone PKI
-            data.issuingCA = self.master_dict['pki_issuing_ca']
+            data.issuingCA = self.mdict['pki_issuing_ca']
 
     def set_tps_parameters(self, data):
-        data.caUri = self.master_dict['pki_ca_uri']
-        data.tksUri = self.master_dict['pki_tks_uri']
-        data.enableServerSideKeyGen = self.master_dict['pki_enable_server_side_keygen']
-        if config.str2bool(self.master_dict['pki_enable_server_side_keygen']):
-            data.kraUri = self.master_dict['pki_kra_uri']
-        data.authdbHost = self.master_dict['pki_authdb_hostname']
-        data.authdbPort = self.master_dict['pki_authdb_port']
-        data.authdbBaseDN = self.master_dict['pki_authdb_basedn']
-        data.authdbSecureConn = self.master_dict['pki_authdb_secure_conn']
-        data.importSharedSecret = self.master_dict['pki_import_shared_secret']
+        data.caUri = self.mdict['pki_ca_uri']
+        data.tksUri = self.mdict['pki_tks_uri']
+        data.enableServerSideKeyGen = self.mdict['pki_enable_server_side_keygen']
+        if config.str2bool(self.mdict['pki_enable_server_side_keygen']):
+            data.kraUri = self.mdict['pki_kra_uri']
+        data.authdbHost = self.mdict['pki_authdb_hostname']
+        data.authdbPort = self.mdict['pki_authdb_port']
+        data.authdbBaseDN = self.mdict['pki_authdb_basedn']
+        data.authdbSecureConn = self.mdict['pki_authdb_secure_conn']
+        data.importSharedSecret = self.mdict['pki_import_shared_secret']
 
     def create_system_cert(self, tag):
         cert = pki.system.SystemCertData()
-        cert.tag = self.master_dict["pki_%s_tag" % tag]
-        cert.keyAlgorithm = self.master_dict["pki_%s_key_algorithm" % tag]
-        cert.keySize = self.master_dict["pki_%s_key_size" % tag]
-        cert.keyType = self.master_dict["pki_%s_key_type" % tag]
-        cert.nickname = self.master_dict["pki_%s_nickname" % tag]
-        cert.subjectDN = self.master_dict["pki_%s_subject_dn" % tag]
-        cert.token = self.master_dict["pki_%s_token" % tag]
+        cert.tag = self.mdict["pki_%s_tag" % tag]
+        cert.keyAlgorithm = self.mdict["pki_%s_key_algorithm" % tag]
+        cert.keySize = self.mdict["pki_%s_key_size" % tag]
+        cert.keyType = self.mdict["pki_%s_key_type" % tag]
+        cert.nickname = self.mdict["pki_%s_nickname" % tag]
+        cert.subjectDN = self.mdict["pki_%s_subject_dn" % tag]
+        cert.token = self.mdict["pki_%s_token" % tag]
         return cert
 
     def retrieve_existing_server_cert(self, cfg_file):
         cs_cfg = PKIConfigParser.read_simple_configuration_file(cfg_file)
         cstype = cs_cfg.get('cs.type').lower()
         cert = pki.system.SystemCertData()
-        cert.tag = self.master_dict["pki_ssl_server_tag"]
-        cert.keyAlgorithm = self.master_dict["pki_ssl_server_key_algorithm"]
-        cert.keySize = self.master_dict["pki_ssl_server_key_size"]
-        cert.keyType = self.master_dict["pki_ssl_server_key_type"]
+        cert.tag = self.mdict["pki_ssl_server_tag"]
+        cert.keyAlgorithm = self.mdict["pki_ssl_server_key_algorithm"]
+        cert.keySize = self.mdict["pki_ssl_server_key_size"]
+        cert.keyType = self.mdict["pki_ssl_server_key_type"]
         cert.nickname = cs_cfg.get(cstype + ".sslserver.nickname")
         cert.cert = cs_cfg.get(cstype + ".sslserver.cert")
         cert.request = cs_cfg.get(cstype + ".sslserver.certreq")
-        cert.subjectDN = self.master_dict["pki_ssl_server_subject_dn"]
+        cert.subjectDN = self.mdict["pki_ssl_server_subject_dn"]
         cert.token = cs_cfg.get(cstype + ".sslserver.tokenname")
         return cert
 
